package com.xhkjedu.sapi.mapper.system;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.sapi.model.system.TModule;
import com.xhkjedu.sapi.model.system.TModuledefault;
import com.xhkjedu.sapi.vo.system.ModuleSelVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ModuledefaultMapper extends TkMapper<TModuledefault> {
    //所有模块
    List<TModule> listModulesByBelong(@Param("belong") Integer belong,@Param("belongcode") Integer belongcode, @Param("display") Integer display);

    List<TModule> listAllModules();

    //首层模块
    List<ModuleSelVo> listLevelModule(@Param("belong") Integer belong);

    //获取学校id集合
    List<Integer> listSchoolId();

    //模块地址对应模块数量
    Integer countByUrl(String moduleurl, Integer belong);

    //模块编码对应模块数量
    Integer countByMabbrevname(String mabbrevname, Integer belong);

    List<TModule> getModuleIdByDefaultId(@Param("moduleid") String moduleid, @Param("schoolids") List<Integer> schoolids, @Param("belong") Integer belong);

    //修改显示状态
    int updateModuleDisplay(@Param("moduleid")String moduleid,@Param("display")Integer display);

    //修改显示状态
    int updateModuleDisplayForLevel(@Param("moduleid")String moduleid,@Param("display")Integer display);
}
